<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <customers>
      <xsl:apply-templates select="Root/Customers/Customer" />
    </customers>
  </xsl:template>

  <xsl:template match="Customer">
    <xsl:variable name="id" select="@CustomerID" />
    <customer id="{$id}">
      <xsl:apply-templates select="//Order[CustomerID = $id]">
        <xsl:sort select="OrderDate" order="descending" />
      </xsl:apply-templates>
    </customer>
  </xsl:template>

  <xsl:template match="Order">
    <xsl:copy-of select="." />
  </xsl:template>
</xsl:stylesheet>
