<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xsl:output method="text" />

  <xsl:template match="Customer">
    <xsl:variable name="id" select="@CustomerID" />
    <xsl:value-of select="$id" />,
    <xsl:value-of select="FullAddress/Country" />,
    <xsl:choose>
      <xsl:when test="Fax">
        <xsl:value-of select="Fax[1]" />
      </xsl:when>
      <xsl:otherwise>NULL</xsl:otherwise>
    </xsl:choose>,
    <xsl:value-of select="max(//Order[CustomerID eq $id]/OrderDate/xs:dateTime(text()))" />
    <xsl:text>
</xsl:text></xsl:template>

  <xsl:template match="*">
    <xsl:apply-templates select="*" />
  </xsl:template>
</xsl:stylesheet>
